Generation Framework

## org.eclipse.gmf.gmfgraph
Interface ChildAccess

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ChildAccessImpl

    public interface ChildAccess

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Child Access'.

The following features are supported:

- `Owner`
- `Accessor`
- `Figure`

See Also:
  `GMFGraphPackage.getChildAccess()`
** Generated **
Model:

Method Summary
`java.lang.String` `getAccessor()` Returns the value of the 'Accessor' attribute
`Figure` `getFigure()` Returns the value of the 'Figure' reference
`FigureDescriptor` `getOwner()` Returns the value of the 'Owner' container reference.
`void` `setAccessor(java.lang.String value)` Sets the value of the '`Accessor`' attribute
`void` `setFigure(Figure value)` Sets the value of the '`Figure`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOwner

    FigureDescriptor getOwner()

  Returns the value of the 'Owner' container reference. It is bidirectional and its opposite is '`Accessors`'.

  If the meaning of the 'Owner' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' container reference.
  See Also:
    `GMFGraphPackage.getChildAccess_Owner()`, `FigureDescriptor.getAccessors()`
  ** Generated **
  Model:
    opposite="accessors" resolveProxies="false" required="true" transient="false" changeable="false"

### getAccessor

    java.lang.String getAccessor()

  Returns the value of the 'Accessor' attribute.

  If the meaning of the 'Accessor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Accessor' attribute.
  See Also:
    `setAccessor(String)`, `GMFGraphPackage.getChildAccess_Accessor()`
  ** Generated **
  Model:

### setAccessor

    void setAccessor(java.lang.String value)

  Sets the value of the '`Accessor`' attribute.

  Parameters:
    `value` - the new value of the 'Accessor' attribute.
  See Also:
    `getAccessor()`
  ** Generated **

### getFigure

    Figure getFigure()

  Returns the value of the 'Figure' reference.

  If the meaning of the 'Figure' reference isn't clear, there really should be more of a description here...

  This may also point to RealFigure from FigureAccessor#typedFigure

  Returns:
    the value of the 'Figure' reference.
  See Also:
    `setFigure(Figure)`, `GMFGraphPackage.getChildAccess_Figure()`
  ** Generated **
  Model:
    required="true"

### setFigure

    void setFigure(Figure value)

  Sets the value of the '`Figure`' reference.

  Parameters:
    `value` - the new value of the 'Figure' reference.
  See Also:
    `getFigure()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.